<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE configuration>
<configuration scan="true" scanPeriod="2 seconds">

    <springProperty name="LOG_PATH" source="logging.path" />
    <springProperty name="FILE_NAME" source="logging.filename" />

    <property resource="application.properties" />

    <appender name="fileLogAppender"
              class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>${LOG_PATH}\${FILE_NAME}.log</file>
<!--        <file>C:\my\Project\MAP2U-202102\log\webserver.log</file>-->
        <rollingPolicy
                class="ch.qos.logback.core.rolling.SizeAndTimeBasedRollingPolicy">
            <fileNamePattern>${LOG_PATH}\${FILE_NAME}.%d{yyyy-MM-dd}.%i.log.zip</fileNamePattern>
<!--            <fileNamePattern>C:\my\Project\MAP2U-202102\log\webserver.%d{yyyy-MM-dd}.%i.log.zip</fileNamePattern>-->
            <maxFileSize>50MB</maxFileSize>
            <maxHistory>15</maxHistory>
            <totalSizeCap>3GB</totalSizeCap>
        </rollingPolicy>
        <encoder>
            <pattern>%d{ISO8601} [%thread] %-5level %logger{36} - %msg%n</pattern>
        </encoder>
    </appender>

    <logger name="com.map2u.ipower" level="INFO" />
<!--    <logger name="com.microsoft.azure.servicebus.primitives.CoreMessageReceiver" level="OFF" />-->

    <root level="INFO">
        <appender-ref ref="fileLogAppender"/>
    </root>

</configuration>